Skip to content

Returns a list of records with the specified customer_id

Request

Returns a list of records with the specified customer_id

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

customer_typestringrequired

The customer_type to use to for record lookup

Enum:"contact""organization"
customer_idstringrequired

The customer_id to use to for record lookup

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned

exclusiveStartKeystring

If paging, this allows you to return the next set of results

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/engagementScores/{tenantId}/customer/{customer_type}/{customer_id}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The records were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Countinteger
ItemsArray of objects(EngagementScore)
LastEvaluatedKeystring
Response
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }